aboutsummaryrefslogtreecommitdiffstats
path: root/dist
diff options
context:
space:
mode:
author1138-4EB <1138-4EB@users.noreply.github.com>2018-06-08 11:25:15 +0100
committer1138-4EB <1138-4EB@users.noreply.github.com>2018-06-08 21:57:49 +0100
commit30ee7a32b64c94f1ac0c8e3b5068894b6ea8b556 (patch)
treecd855e14735a4cc8eab3fb98ae42114e0e0be271 /dist
parent0a20fceb58f4701127e6cae2f3e71b856d6e69dd (diff)
downloadghdl-30ee7a32b64c94f1ac0c8e3b5068894b6ea8b556.tar.gz
ghdl-30ee7a32b64c94f1ac0c8e3b5068894b6ea8b556.tar.bz2
ghdl-30ee7a32b64c94f1ac0c8e3b5068894b6ea8b556.zip
log stderr of make to a file and use tail to show last 1000 lines
Diffstat (limited to 'dist')
-rwxr-xr-xdist/travis/build.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/dist/travis/build.sh b/dist/travis/build.sh
index d3a1e2429..514b841c9 100755
--- a/dist/travis/build.sh
+++ b/dist/travis/build.sh
@@ -140,7 +140,10 @@ echo "travis_fold:end:configure"
echo "travis_fold:start:make"
travis_time_start
printf "$ANSI_YELLOW[GHDL - build] Make $ANSI_NOCOLOR\n"
-make -j$(nproc)
+set +e
+make -j$(nproc) 2>make_err.log
+tail -1000 make_err.log
+set -e
travis_time_finish
echo "travis_fold:end:make"